<link rel="import" href="/bower_components/polymer/polymer-element.html">

<link rel="import" href="/bower_components/paper-styles/color.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<link rel="import" href="/bower_components/app-layout/app-drawer-layout/app-drawer-layout.html">
<link rel="import" href="/bower_components/app-layout/app-header/app-header.html">
<link rel="import" href="/bower_components/app-layout/app-toolbar/app-toolbar.html">
<link rel="import" href="/bower_components/app-layout/app-drawer/app-drawer.html">
<link rel="import" href="/bower_components/paper-icon-button/paper-icon-button.html">
<link rel="import" href="/bower_components/iron-icons/iron-icons.html">
<link rel="import" href="/bower_components/iron-icons/communication-icons.html">
<link rel="import" href="/bower_components/iron-icons/editor-icons.html">
<link rel="import" href="/bower_components/iron-icons/image-icons.html">
<link rel="import" href="/bower_components/iron-icons/notification-icons.html">
<!-- <link rel="import" href="/bower_components/paper-progress/paper-progress.html"> -->
<link rel="import" href="/bower_components/nebula-dispatch/nebula-dispatch.html">
<link rel="import" href="/bower_components/relative-time/relative-time.html">

<link rel="import" href="/bower_components/paper-checkbox/paper-checkbox.html">

<link rel="import" href="/bower_components/paper-fab/paper-fab.html">
<link rel="import" href="/bower_components/paper-dialog/paper-dialog.html">
<link rel="import" href="/bower_components/paper-tooltip/paper-tooltip.html">

<link rel="import" href="/bower_components/app-route/app-location.html">
<link rel="import" href="/bower_components/app-route/app-route.html">

<link rel="import" href="../l1page-api/l1page-api.html">
<link rel="import" href="../l1page-drawer-links/l1page-drawer-links.html">
<link rel="import" href="../l1-trigger-diagram/l1-trigger-diagram.html">
<link rel="import" href="../l1page-log-list/l1page-log-list.html">
<link rel="import" href="../process-controller/process-controller.html">
<link rel="import" href="../subsystem-details/subsystem-details.html">
<link rel="import" href="../shifter-info/shifter-info.html">
<link rel="import" href="../suggestion-list/suggestion-list.html">

<!--
`<l1-home>` is the main element of the Level-1 Page
-->

<dom-module id=l1-home>
  <template>
    <link rel=stylesheet href="l1-home.css?__inline=true">
    <style include=l1page-theme></style>

    <section content>
      <div summary>
        <section topology>
          <header>
            status
          </header>
          <l1-trigger-diagram on-subsystem-click=openWidgetSubsystem subsystem-data=[[subsystemData.subsystems]] included-subsystems=[[runData.includedSubsystems]]></l1-trigger-diagram>
        </section>
        <section logs>
          <header>
            logs
          </header>
          <l1page-log-list subsystem-data=[[subsystemData.subsystems]] run-data=[[runData]]></l1page-log-list>

        </section>
        <section actions>
          <header>
            suggestions
          </header>
          <suggestion-list trigger-state=[[runData.triggerState]]></suggestion-list>
        </section>

        <paper-fab id=process_control_fab src=/images/explosion.svg on-click=openWidgetProcessController></paper-fab>
        <paper-tooltip for=process_control_fab position=left animation-delay=0>Process Controller</paper-tooltip>
      </div>

      <shifter-info run-data=[[runData]]>
        <paper-fab id=shifter_info_fab icon=add on-click=openWidgetNewShifterInfo slot=fab></paper-fab>
        <paper-tooltip for=shifter_info_fab position=left animation-delay=0 slot=fab>Write new shifter info entry</paper-tooltip>
      </shifter-info>
    </section>

    <paper-dialog with-backdrop
                  opened="[[_widgetActive('process-controller', urlData)]]"
                  on-iron-overlay-closed=_closeActiveWidget>
      <process-controller subsystem-data=[[subsystemData.subsystems]] trigger-state=[[runData.triggerState]]></process-controller>
      <div class="buttons">
        <paper-button primary dialog-confirm autofocus>Close</paper-button>
      </div>
    </paper-dialog>

    <paper-dialog big with-backdrop
                  opened="[[_widgetActive('subsystem', urlData)]]"
                  on-iron-overlay-closed=_closeActiveWidget>
      <subsystem-details subsystem-data=[[subsystemData.subsystems]] included-subsystems=[[runData.includedSubsystems]] trigger-state=[[runData.triggerState]] route={{urlDataTail}}></subsystem-details>
      <div class="buttons">
        <paper-button primary dialog-confirm autofocus>Close</paper-button>
      </div>
    </paper-dialog>

  </template>
</dom-module>

<script src="l1-home.js?__inline=true"></script>
